/*
 * QrfeResourceGlobal.cpp
 *
 *  Created on: 16.07.2012
 *      Author: stefan.detter
 */

#include "../inc/QrfeResourceGlobal.h"

#include <QFile>
#include <QStringList>

static __init_QrfeResourceGlobal				__init;

QStringList QrfeGlobal::buttonLicenseStrings()
{
	QStringList res;
	res << "Icons by http://www.icons-land.com";		// IconsLandVistaBaseSoftwareIconsV2Demo
	res << "Icons by http://www.visualpharm.com";		// MustHaveIcons

	return res;
}

QString QrfeGlobal::getButtonIconResourcePath ( const QString & keyword )
{
	if(QFile::exists(":/button/" + keyword))
		return ":/button/" + keyword;
	return ":/button/burn_disk";
}






__init_QrfeResourceGlobal::__init_QrfeResourceGlobal()
{
}
